pangomm (2.42.0-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2020 13:29:01 +0100

pangomm (2.42.0-2) unstable; urgency=medium

  * Bump SHVER to 2.42.0
  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 10:02:49 -0500

pangomm (2.42.0-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump minimum libpango1.0-dev to 1.41.0
  * debian/copyright: Add pre-generated docs to Files-Excluded
  * Build-Depend on doxygen, graphviz & xsltproc to build docs
  * libpangomm-1.4-doc: Don't depend on lynx | www-browser
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 22 Nov 2018 21:26:42 -0500

pangomm (2.40.1-4) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

  [ Michael Biebl ]
  * Remove Michael Casadevall <sonicmctails@gmail.com> from Uploaders. He is
    not active anymore. (Closes: #841467)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 19:44:56 -0500

pangomm (2.40.1-3) unstable; urgency=medium

  * Don't compress doxygen tag files.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Sep 2016 02:36:03 +0200

pangomm (2.40.1-2) unstable; urgency=medium

  * Bump debhelper compatibility level to 10. This ensures we actually run
    autoreconf during build.

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Sep 2016 01:29:30 +0200

pangomm (2.40.1-1) unstable; urgency=medium

  * New upstream release.
  * Convert from cdbs to dh.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Aug 2016 19:12:16 +0200

pangomm (2.40.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends as per configure.ac:
    - Bump libglibmm-2.4-dev to (>= 2.48.0).
  * Drop libpangomm-1.4-dbg package now that we have automatic dbgsym packages.
  * Ensure proper upgrade from libpangomm-1.4-dbg to new dbgsym packages by
    using dh_strip --dbgsym-migration. Bump Build-Depends on debhelper
    accordingly.
  * Bump Standards-Version to 3.9.8.
  * Fix typo in doc-base file.
  * Bump SHVER to 2.40.0.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Apr 2016 20:03:54 +0200

pangomm (2.38.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends as per configure.ac:
    - Bump libcairomm-1.0-dev to (>= 1.12.0).
    - Bump libglibmm-2.4-dev to (>= 2.46.1).
    - Bump libpango1.0-dev to (>= 1.38.0).
    - Bump mm-common to (>= 0.9.8).
  * Bump SHVER to 2.38.0.

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Oct 2015 15:42:02 +0200

pangomm (2.36.0-2) unstable; urgency=medium

  * Team upload.
  * Rename library package to libpangomm-1.4-1v5 for libstdc++ ABI
    transition. Based on changes made in Ubuntu by Sebastien Bacher.
    - Bump Build-Depends on glibmm and cairomm to g++-5-built versions

 -- Simon McVittie <smcv@debian.org>  Mon, 17 Aug 2015 22:04:57 +0100

pangomm (2.36.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on cdbs for multiarch support.
  * Bump required version of libpango1.0-dev (>= 1.36.0).
  * Bump SHVER to 2.36.0.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <biebl@debian.org>  Mon, 11 May 2015 02:44:00 +0200

pangomm (2.34.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf to fix FTBFS on ppc64el. Closes: #752179

 -- Andreas Barth <aba@ayous.org>  Thu, 28 Aug 2014 18:22:55 +0000

pangomm (2.34.0-1) unstable; urgency=low

  * New upstream release.
  * Bump required version of libglibmm-2.4-dev to (>= 2.36.0).
  * Drop obsolete DM-Upload-Allowed field.
  * Update Vcs-* URLs.
  * Update debian/copyright, use final copyright-format 1.0 spec.
  * Bump Standards-Version to 3.9.4. No further changes.
  * Add Build-Depends on autotools-dev as lintian was complaining about
    outdated config.{guess,sub}.
  * Drop obsolete Conflicts/Replaces.
  * Convert to multiarch.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Thu, 27 Jun 2013 03:45:34 +0200

pangomm (2.28.4-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    - Track .xz tarballs.
  * Bump debhelper compatibility level to 8.
  * debian/control.in:
    - Bump Standards-Version to 3.9.2. No further changes.
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
  * Stop installing libtool .la files.

 -- Michael Biebl <biebl@debian.org>  Thu, 17 Nov 2011 01:43:19 +0100

pangomm (2.28.3-1) unstable; urgency=low

  [ Deng Xiyue ]
  * debian/watch:
    + Fix RegEx to work again.

  [ Martin Pitt ]
  * New upstream release:
    - Ship convert_pangomm.m4 in tarballs.
    - Don't use obsolete autotools macros.

 -- Martin Pitt <mpitt@debian.org>  Wed, 28 Sep 2011 14:44:11 +0200

pangomm (2.28.2-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in,
    debian/rules:
    + Remove the chrpath hack, it's been fixed in libtool.

  [ Krzysztof Klimonda ]
  * New upstream release.

  [ Deng Xiyue ]
  * New upstream bugfix release.
    + debian/control.in:
      + Add mm-common >= 0.9.5 as builddep as per configure.ac.
    + debian/rules:
      + Update SHVER to 2.27.1 due to new API.
  * Convert to source format 3.0 (quilt)
    + debian/rules:
      + Drop simple-patchsys.mk.
    + debian/watch:
      + Track *.tar.bz2 instead of *.tar.gz
  * debian/control.in:
    + Update Standards-Version to 3.9.1.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sun, 17 Apr 2011 09:07:59 +0800

pangomm (2.26.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 04 May 2010 17:00:54 +0200

pangomm (2.26.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/control.in:
    + Update Standards-Version to 3.8.4.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 16 Apr 2010 13:56:23 +0200

pangomm (2.26.0-1) unstable; urgency=low

  * New upstream release.
    + Bump shlibs version to 2.26.0.
    + Bump build-depends libglibmm-2.4-dev >= 2.22.1-2 for gmmprocdir support,
      but leave depends unchanged, as new glibmm version is only needed for
      building documentation.
    + Adjust doc path according to new location in new release.
  * Update Standard-Version to 3.8.3.  No changes needed.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sun, 04 Oct 2009 23:06:10 -0700

pangomm (2.24.0-3) unstable; urgency=high

  * Update debian/copyright to conform to latest DEP 5.
    + Point to versioned license files.
  * Add missing ',' in control file to fix FTBFS against new dpkg.  Thanks
    KiBi for the report and patch.  (Closes: #536785)
    + RC bug, hence urgency high.
  * Drop strict bdep on libglib2.0-dev and libcairo2-dev added to help
    experimental buildd, which are not needed now.
  * Update Standard-Version to 3.8.2.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Tue, 14 Jul 2009 09:31:25 +0800

pangomm (2.24.0-2) unstable; urgency=low

  * Upload to unstable.
    + Drop check-dist.mk.
    + Track unstable branch in Vcs-*.
  * Change -dbg package to section debug.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Fri, 03 Apr 2009 00:35:01 +0800

pangomm (2.24.0-1) experimental; urgency=low

  * New upstream release.
    + Update SHVER to 2.24.0 for new API addition.
    + Update build-depends on libpango1.0-dev to >= 1.23.0 as per configure.in.
  * Don't define GNOME_MODULE, the default matches.
  * Upload to experimental, add check-dist.mk accordingly.
  * Update Standard-Version to 3.8.1.  No change needed.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sun, 29 Mar 2009 14:22:01 +0800

pangomm (2.14.1-2) unstable; urgency=low

  * Upload to unstable.  Drop check-dist.mk.
  * Use viewsvn instead of wsvn in debian/control*.
  * Remove comments in debian/watch.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Thu, 19 Feb 2009 23:16:23 +0800

pangomm (2.14.1-1) experimental; urgency=low

  * New upstream release.
    - Drop 01_devhelp_path_fix.patch, merged upstream.
  * Tighten Build-Depends on libcairo2-dev >= 1.8.2-2 and
    libglib2.0-dev >= 2.18.0 to help experimental buildd figure out the
    correct dependencies.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Mon, 10 Nov 2008 21:16:20 +0800

pangomm (2.14.0-2) experimental; urgency=low

  * Use POSIX standard regex classes in sed trick in debian/rules.
  * Fix symlink ``usr/share/doc/pangomm-1.4'' to reference correct place.
  * Add 01_devhelp_path_fix.patch to fix all gtkmm to pangomm.
  * Use ``usr/share/doc/pangomm-1.4'' as URL in doc-base to match upstream
    behavior.
  * Continue to ship *.la in libpangomm-1.4-dev.  It seems to be required
    for existing dependencies.  Add clean-la.mk to debian/rules
    accordingly.  (LP: #272665, #274732)

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sun, 09 Nov 2008 13:00:49 +0800

pangomm (2.14.0-1) experimental; urgency=low

  * New upstream stable release.
    + Bump shlibs version to 2.14.0.
    + Target stable releases in debian/watch.
  * Keep targeting experimental as Lenny is in freeze.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Wed, 24 Sep 2008 23:50:17 +0800

pangomm (2.13.8-1) experimental; urgency=low

  * New upstream development release.
    + Now require pango >= 1.21.4, update build-depends accordingly.
    + Bump shlibs version to 2.13.8.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Thu, 18 Sep 2008 20:55:29 +0800

pangomm (2.13.7-2) experimental; urgency=low

  [ Michael Casadevall ]
  * Use epoched versions in Conflict/Replaces.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Thu, 11 Sep 2008 20:11:13 +0800

pangomm (2.13.7-1) experimental; urgency=low

  [ Michael Casadevall ]
  * Initial release.  Closes: #495678.  LP: #254050.

  [ Deng Xiyue ]
  * Add watch file, targeting development release.
  * Include check-dist.mk to prevent accidental upload to wrong place.
  * Don't install *.la in -dev package.  Drop clean-la.mk accordingly.
  * Add libpangomm-1.4-doc.install to install docs, and remove hand-written
    hack in debian/rules.
  * Remove xsltproc from Build-Depends, it's not used.
  * Use machine-interpretable debian/copying format, and add all copyright
    holders.
  * Disable building of static library.  Pango1.0 doesn't build static
    library so there's no use to provide one in pangomm.  Fix packages
    description accordingly, and drop *.a from libpangomm-1.4-dev.install.

  [ Loic Minier ]
  * Properly anchor Package name extraction regexp.
  * Cleanups.

 -- Michael Casadevall <sonicmctails@gmail.com>  Tue, 29 Jul 2008 16:06:44 -0400
